Subject: Re: bug#70251: 14.0.4 install from gnu/elpa hangs

From: Peter Mao <[email-masked]>
Date: Sun, 7 Apr 2024 09:33:37 -0700

Hi Ikumi,

Your first recipe worked for me.  I'm usually loathe to kill emacs, but
indeed it needed a fresh session to compile.  It only took a few seconds to
complete.

Thank you!

Peter

On Sun, Apr 7, 2024 at 3:08 AM Ikumi Keita <[email-masked]> wrote:

> Hi Peter,
>
> >>>>> Peter Mao <[email-masked]> writes:
> > I'm running emacs 29.3 on GNU/Linux and OSX.  When I updated auctex from
> v
> > 13.2.1 to v. 14.0.4, I see "Checking <path-to>/elpa/auctex-14.0.4..."
> > seemingly forever (until I give up and C-g it).
>
> > Any guidance on what's going on here?  Auctex seems to be ok still (I
> just
> > opened a .tex file and looked at it, but didn't push it any further), but
> > my package-selected-packages list is all screwed up now.
>
> Sorry for inconvenience. It is known that upgrading to AUCTeX 14 from 13
> in running emacs session can lead to unsuccessful installation,
> including infinite loop as you experienced.
>
> The first thing which is worth trying is:
>   1. Terminate the current running Emacs session and restart Emacs.
>   2. Type ‘M-x package-recompile <RET> auctex <RET>’.
>   3. Restart your Emacs again.
>
> If you are lucky enough, this will basically resolve the issue. There is
> still old ‘auctex-X.Y.Z’ directory left behind under
> ‘~/.emacs.d/elpa/’, so delete it manually to avoid future trouble.
>
> If the above prescription doesn't work, then try:
>   1. Uninstall AUCTeX once.
>   2. Restart your Emacs and (before doing anything else) reinstall
>      AUCTeX.
>
> In theory, this recipe will circumvent all caveats in ELPA upgrade of
> AUCTeX. Find and delete old ‘auctex-X.Y.Z’ directory remaining under
> ‘~/.emacs.d/elpa/’.
>
> Regards,
> Ikumi Keita
> #StandWithUkraine #StopWarInUkraine
> #Gaza #StopMassiveKilling #CeasefireNOW
>